/**
 * Classe patron pour toute fonction a deux inconnues
 *
 * @author Benoit CARRY
 * @version 05/12/2005
 */
public interface ChoixDeFonction {

    /**
     * Methode de calcul pour deux inconnues a definir dans une classe heritee de celle-ci.
     *
     *  @param variable Inconnue de la fonction
     *  @param parametres Tableau de parametres dont depand la fonction, le nombre de parametre depends des fonctions crees
     *  @return La valeur de la fonction calculee au point d'entree
     */
  double fonction(double variable, double[] parametres);

}
